import { ColDef, ColumnState } from '@ag-grid-community/core';
/**
 * Merges two arrays, one of `ColDef` and one of `ColumnState`, and deduplicates them.
 * @remarks ColDef uses `field` and ColumnState uses `colId` to identify columns.
 * @privateRemarks For restoring saved `ColumnState` but also keep custom renderers and other `ColDef` properties.
 * @public
 */
export declare function mergeAndDedupColDefWithColumnState(colDefs: ColDef[], columnStates: ColumnState[]): ColDef[];
//# sourceMappingURL=array.d.ts.map